fulfillment-associate-associates-delete-one

Source

  • Repository: jef-systems/jef-fulfillment-associate-backend

  • Source Run ID: 25102000534

  • Source SHA: c226ca62ef6b026753728d0bc8bc0d132f27115d

  • Module: fulfillment-associate

  • Documentation Scope: async

  • Lambda: jef-fulfillment-associate-delete-2

Endpoint

  • API Name: jef-fulfillment-associate

  • Action Name: delete

  • Method: DELETE

  • Scope Label: Async

  • Resource Path: /fulfillment-associate-associates-delete-one

  • Complete Endpoint: https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-associates-delete-one

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-fulfillment-associate-delete-2

  • curl payload mode: json_body

API Gateway Description

Function: jef-fulfillment-associate-delete-2
Module: jef-fulfillment-associate
Action: delete
Method: DELETE
Invocation Mode: ASYNC
Resource Path: /fulfillment-associate-associates-delete-one

API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.

Table:
- table: jef-fulfillment-associate-associates

Payload Example:
- pk: associate-001

Payload Schema:
- pk: associate_number

Response Schema:
- is_accepted: boolean
- message: string

Request Payload

{
  "pk": "associate-001"
}

Response

{
  "is_accepted": "boolean",
  "message": "string"
}

CMD curl

curl -X DELETE "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-associates-delete-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"associate-001\"}"

PowerShell curl

curl.exe -X DELETE "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-associates-delete-one" -H "Content-Type: application/json" --data-raw '{"pk": "associate-001"}'